@charset "utf-8";

#root{
  overflow:inherit;
}

.service-top {
  padding: 100px 0;
  font-weight: bold;
  color: #fff;
  background-image: url(https://meisan-clean.co.jp/system_panel/uploads/images/20260601113359680214.png) ;
  background-repeat: no-repeat;
  background-position: center;
  background-size: 120%;
  transition: background-position 0.1s linear;
}


.service-top h2{
  font-size:clamp(1.25rem, 0.667rem + 1.94vw, 3rem);
}

.service-top h2 strong,
.service-top h2 span,
.service-top h2 em{
  display:inline-block;
  font-size:clamp(2rem, 0.167rem + 6.11vw, 7.5rem);
  opacity:0;
  transition:1.5s;
  transition-delay:0.5s;
  transform:translateY(30px);
}

.service-top h2 em{
  transition-delay:1s;
}

.service-top h2 strong{
  transition-delay:1.5s;
}

.service-top h2.fadeUp strong,
.service-top h2.fadeUp span,
.service-top h2.fadeUp em{
  transform:translateY(0px);
  opacity:1;
}

.service-top p{
  font-size:clamp(0.75rem, 0.583rem + 0.56vw, 1.25rem);
  line-height:2;
  margin-top:2rem;
}

.service{
  margin:10rem 0;
}

.service-wrap{
  max-width:1717px;
  width:90%;
  display:flex;
  justify-content: space-between;
  align-items: flex-start;
  position: relative;
}

.service-left{
  width:27%;
  position: sticky;
  top: 10%;
  left: 0;
}

.service-left .accent{
  font-size:clamp(2rem, 1.833rem + 0.56vw, 2.5rem);
  color:#1AAF14;
  font-weight:bold;
  padding-bottom:1rem;
  border-bottom:1px solid #707070;
  margin-bottom:2rem;
}

.service-left a{
  padding:1rem 1rem 1rem 0;
  border-bottom:1px solid #707070;
  font-size:clamp(0.875rem, 0.792rem + 0.28vw, 1.125rem);
  display:flex;
  align-items: center;
  justify-content: space-between;
}

.service-left a:nth-of-type(2)::after{
  content:"02";
}

.service-left a:nth-of-type(3)::after{
  content:"03";
}

.service-left a::after{
  content:"01";
  display:block;
  color:#0B8607;
  font-weight:500;
  font-size:clamp(0.875rem, 0.667rem + 0.69vw, 1.5rem);
}


.service-right{
  width:68%;
}

.service-item h2{
  color:#1AAF14;
  font-size:clamp(1.5rem, 1.333rem + 0.56vw, 2rem);
  border-bottom:1px solid #989898;
  margin-bottom:3.5rem;
  padding-bottom:1rem;
  display:flex;
  align-items: center;
  justify-content: space-between;
}

.service-item h2::after{
  content:"01";
  display:block;
  color:#0B8607;
  font-weight:500;
  font-size:clamp(0.875rem, 0.667rem + 0.69vw, 1.5rem);
  font-family: "Zen Kaku Gothic New", sans-serif;
}

.service-item.second h2::after{
  content:"02";
}

.service-item.third h2::after{
  content:"03";
}

.service-item-wrap{
  display:flex;
  align-items:center;
  justify-content: space-between;
  margin-bottom:5rem;
}

.service-item-img{
  width:38%;
  position:relative;
  z-index:1;
}

.service-item-img::before{
  content:"";
  position:absolute;
  width:10%;
  aspect-ratio:40/120;
  left:0;
  top:0;
  z-index:-1;
  background:url(https://meisan-clean.co.jp/system_panel/uploads/images/20260601140927852528.png) no-repeat center/contain;
}

.service-item-img img{
  width:95%;
  margin:1rem 0 0 auto;
  aspect-ratio: 416 / 235;
  object-fit: cover;
}

.service-item-txt{
  width:57%;
  font-size:14px;
}

.service-item-txt h3{
  font-size:1.5rem;
  margin-bottom:2rem;
  line-height:calc(48/24);
}

.service-item-txt h3 strong{
  color:#1AAF14;
}

.service-work{
  margin-bottom:5rem;
}

.service-work h3{
  background:#0B8607;
  color:#fff;
  font-size:clamp(0.875rem, 0.708rem + 0.56vw, 1.375rem);
  padding:4px 20px;
  width:fit-content;
}

.service-work > p.accent{
  margin:20px 0 1rem;
  font-size:clamp(0.75rem, 0.667rem + 0.28vw, 1rem);
  font-weight:900;
}

.service-work-wrap{
  display: flex;
  flex-wrap: wrap;
  gap: 2.5rem;
}

.service-work-item{
  width:calc((100% - 10rem) / 5 );
  text-align:center;
  font-size:clamp(0.75rem, 0.625rem + 0.42vw, 1.125rem);
}

.service-work-item img{
  aspect-ratio:1/1;
  object-fit:cover;
  margin-bottom:1rem;
}

body:has(.fadeUpTrigger_1.isActive) .service-left  a:nth-of-type(1){
  background:#0D8609;
  color:#FFFFFF;
  padding-left: 2rem;
}

body:has(.fadeUpTrigger_2.isActive) .service-left a:nth-of-type(2){
  background:#0D8609;
  color:#FFFFFF;
  padding-left: 2rem;
}

body:has(.fadeUpTrigger_3.isActive) .service-left a:nth-of-type(3){
  background:#0D8609;
  color:#FFFFFF;
  padding-left: 2rem;
}

body:has(.fadeUpTrigger_1.isActive) .service-left a:nth-of-type(1)::after,
body:has(.fadeUpTrigger_2.isActive) .service-left a:nth-of-type(2)::after,
body:has(.fadeUpTrigger_3.isActive) .service-left a:nth-of-type(3)::after{
  color:#FFFFFF;
}

.work{
  padding:4rem 0 4.5rem;
  background:#1C211E;
  max-width: none;
  width: 100%;
}

.work .container{
  width:90%;
  max-width:1717px;
}

.work.news-main .webgene-blog{
  gap:20px;
}

.work.news-main .webgene-blog article{
  width:calc((100% - 40px ) / 3)
}

.work.news-main .webgene-blog article > a{
  flex-direction: column;
  gap: 1rem;
  padding: 0;
  border: none;
  color: #fff;
}

.work .arrow-btn{
  background:#4AD587;
  color:#000;
}

.work .arrow-btn::before{
  background: url(https://meisan-clean.co.jp/system_panel/uploads/images/20260529165358745866.png) no-repeat center / contain;
}

.work .arrow-btn::after{
  background:#000;
}

.work .arrow-btn:hover{
  color:#fff;
  background:#000;
}


.work .arrow-btn:hover::before{
  background: url(https://meisan-clean.co.jp/system_panel/uploads/images/20260529165358196347.png) no-repeat center / contain;
}

.newsItemCate{
  border-color:#fff;
}

.news-main .newsDetailImg,
.newsItemText{
  width:100%;
}

.service-flow{
  margin:7.5rem 0;
}

.service-flow-wrap{
  display:flex;
  gap:2rem;
  position:relative;
  align-items: stretch;
}

.service-flow-wrap::before{
  content:"";
  position:absolute;
  width:0%;
  height:1px;
  background:#1AAF14;
  top: 1.25rem;
  left: 10%;
  z-index: -1;
  opacity:0;
  transition:1.5s;
  transition-delay:0.5s;
}

.service-flow-wrap.fadeUp::before{
  width:80%;
  opacity:1;
}

.service-flow-item{
  width:calc((100% - 8rem ) / 5);
  display: flex;
  flex-direction: column;
}

@media screen and (min-width: 1280px) {
.service-flow-item:nth-child(2){
  animation-delay:0.3s;
}

.service-flow-item:nth-child(3){
  animation-delay:0.6s;
}

.service-flow-item:nth-child(4){
  animation-delay:0.9s;
}

.service-flow-item:nth-child(5){
  animation-delay:1.2s;
}
}

.service-flow-item .accent{
  font-size:clamp(0.875rem, 0.75rem + 0.42vw, 1.25rem);
  background:#1AAF14;
  border-radius:999vh;
  width:2.5rem;
  height:2.5rem;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  color: #fff;
  font-weight: 900;
  margin: 0 auto 12px;
}

.service-flow-box{
  padding:1rem;
  box-shadow:0px 3px 6px rgba(0,0,0,0.44);
  font-size:12px;
  word-break: break-all;
  flex: 1;
}

.service-flow-box h3{
  color:#1AAF14;
  font-size:clamp(1rem, 0.917rem + 0.28vw, 1.25rem);
  margin-bottom:1rem;
  text-align:center;
}

@media screen and (max-width: 1279px) {
  .service-flow-wrap{
    flex-direction: column;
    gap: 1.5rem;
    margin: 0 auto;
    max-width: 500px;
  }
  .service-flow-item {
    width: 100%;
    display: flex;
    flex-direction: row;
    gap: 1rem;
    align-items: center;
  }
  .service-flow-wrap::before{
    width: 1px;
    height: 0%;
    top: 10%;
    left: 1.25rem;
  }
  .service-flow-wrap.fadeUp::before{
    height: 80%;
    opacity:1;
    width:1px;
  }
  .service-wrap{
    flex-direction: column;
    gap: 5rem;
  }
  .service-left {
    width: 330px;
    position: relative;
    top: auto;
    left: auto;
  }
  .service-right{
    width:100%;
  }
  .service-left .accent{
    margin-bottom: 1rem; 
  }
  .service-item-txt h3{
    margin-bottom: 1rem; 
  }
}

@media screen and (max-width: 1024px) {
}


@media screen and (max-width: 767px) {
  .service-top{
    background-size: cover;
    padding:5rem 0;
    margin-top:-4rem;
  }
  .service-top h2 strong {
    font-size: 1.9rem;
  }
  .service-top .container{
    width:95%;
  }
  .service-top p{
    margin-top: 1rem;
  }
  .service {
    margin: 20px 0 3rem;
  }
  .service-left .accent{
    padding-bottom: 8px;
  }
  .service-left a {
    padding: 1rem 0rem 1rem 0;
    justify-content: flex-end;
    width: 185px;
    flex-direction: row-reverse;
    gap: 1rem;
  }
  .service-item h2{
    margin-bottom: 2rem;
    padding-bottom: 0.5rem;
  }
  .service-item-wrap{
    flex-direction: column;
    gap: 2.5rem;
    margin-bottom: 2.5rem;
  }
  .service-item-img,
  .service-item-txt{
    width:100%;
  }
  .service-item-txt h3{
    line-height: calc(40 / 24);
  }
  .service-work-wrap{
    gap: 20px 10px;
  }
  .service-work-item {
    width: calc((100% - 20px) / 3);
  }
  .service-work-item img{
    margin-bottom: 0.5rem;
  }
  .service-work {
    margin-bottom: 2.5rem;
  }
  .work{
    padding:2.5rem 0 4rem;
  }
  .work.news-main .webgene-blog article {
    width: 100%;
  }
  .work.news-main .webgene-blog {
    gap: 40px;
    max-width: 300px;
    margin: 0 auto;
  }
  .service-flow {
    margin: 5rem 0 4rem;
  }
  .service-flow-box {
    padding: 1.5rem 1rem;
  }
  .service-item{
    margin-bottom:7.5rem;
  }
}